commit e21be796ad7c274674aa62817b405569039f669f
Merge: db42353 f1c747a
Author: Shaun McCance <shaunm@redhat.com>
Date:   Sat Dec 26 22:36:28 2020 -0500

    Merge pull request #40 from ptoscano/update-gitignore
    
    Update .gitignore

commit db42353587f48f3885f55f1998e4cabbb4c359e2
Author: Shaun McCance <shaunm@redhat.com>
Date:   Sat Dec 26 15:50:32 2020 -0500

    Fix errors from accidental global variable removal
    
    In a recent commit for profiling, I moved the __main__ code to a main()
    function. This broke some stuff that relied on an accidentally global
    variable. Now the variable gets passed as a param, as it should.

 itstool.in | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit decbd0e50e824ee0241b36c07c5652b1af47ff20
Author: Shaun McCance <shaunm@redhat.com>
Date:   Sat Dec 12 10:40:30 2020 -0500

    Cache computed values for translate, localefilter, and locnote
    
    If these aren't explicitly set for a node with a selector or local markup,
    then we have to chain up, often all the way to the root. But we were doing
    this over and over again, chaining up across the same nodes. This change
    stores the computed value, so chaining up usually hits that cache. I was
    careful to clear the cache if new rules are applied.

 itstool.in | 41 +++++++++++++++++++++++++++++++++++------
 1 file changed, 35 insertions(+), 6 deletions(-)

commit 366dbb36b897dc223b41a1855ea1f3075ad565ba
Author: Shaun McCance <shaunm@redhat.com>
Date:   Sun Dec 6 13:44:24 2020 -0500

    Don't re-lookup ITS params for every single rule
    
    We have to create a new XPath context for every rule, and we have
    to freshly apply any ITS params to that context. But what we were
    also doing is looking thru the children of the parent ITS rules
    element for param element each time. This was inefficient. Looking
    for param elements only once per ruleset gives a small but measurable
    speed boost.

 itstool.in | 65 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 39 insertions(+), 26 deletions(-)

commit f1c747ae846e7d54fc8e3facd020a7d080560d76
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue May 19 07:38:33 2020 +0200

    Update .gitignore
    
    - remove entries referring to non-existing stuff
    - prefix files appearing in the top-level directory with '/'
    - add '/' as suffix for directories
    - add '*.mo' for files created during the test run
    - sort the entries

 .gitignore | 27 ++++++++++++---------------
 1 file changed, 12 insertions(+), 15 deletions(-)

commit 60f3a955ca047b1d62a1d952beec74afaff7cbbf
Author: Shaun McCance <shaunm@redhat.com>
Date:   Sat Apr 6 14:55:49 2019 -0400

    Version 2.0.6

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit ce3e235efbe251083f257e0b1cfdaa11e4f7b01c
Author: Shaun McCance <shaunm@redhat.com>
Date:   Sun Dec 30 16:31:05 2018 -0500

    Make DocBook keyword element within text

 its/docbook.its  | 1 +
 its/docbook5.its | 1 +
 2 files changed, 2 insertions(+)

commit bc5724ed98eb591d4b82dff1b4b47ed77ec47eda
Author: Shaun McCance <shaunm@redhat.com>
Date:   Thu Nov 8 19:01:43 2018 -0500

    Apply ITS files passed with -i in --join mode
    
    Fixes https://github.com/itstool/itstool/issues/34

 itstool.in | 3 +++
 1 file changed, 3 insertions(+)

commit 39000db89b4d376af34fd4499743ac0fa5d7cd90
Author: Shaun McCance <shaunm@redhat.com>
Date:   Sun Oct 28 17:08:04 2018 -0400

    Version 2.0.5

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 84891bdca128192d1e8af9a3b86ac6fb9a8a09ed
Author: Shaun McCance <shaunm@redhat.com>
Date:   Sun Oct 28 16:59:14 2018 -0400

    Auto update to INSTALL file

 INSTALL | 320 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 159 insertions(+), 161 deletions(-)

commit 2eb0a6cd3b15b0bca5abf19ba0fcff45bd457523
Author: Shaun McCance <shaunm@redhat.com>
Date:   Tue Aug 21 11:28:54 2018 -0400

    Fix py 2/3 issues and add a test case

 itstool.in                     | 34 +++++++++++++++-------------------
 tests/preservespace1xml.xml    |  2 +-
 tests/preservespace5xml.ll.po  | 19 +++++++++++++++++++
 tests/preservespace5xml.ll.xml | 10 ++++++++++
 tests/preservespace5xml.pot    | 18 ++++++++++++++++++
 tests/preservespace5xml.xml    | 16 ++++++++++++++++
 tests/run_tests.py             | 16 +++++++++++++---
 7 files changed, 92 insertions(+), 23 deletions(-)

commit 2f82385da6faa2b33a346ba75d7efaf09a7f095c
Author: Álvaro Muñoz <alvaro.munoz@gmail.com>
Date:   Mon Aug 20 20:26:12 2018 -0300

    Open file as bytes, since we're saving bytes!

 itstool.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 83981112037eb326ba29c00281e5f187a37a26e0
Author: Álvaro Muñoz <alvaro.munoz@gmail.com>
Date:   Sat Aug 18 17:35:13 2018 -0300

    Fix #28 (python 3.7, macOS)

 itstool.in | 3 +++
 1 file changed, 3 insertions(+)

commit 45a43928cee0015b0361b021c914ef75ffe58e96
Author: Álvaro Muñoz <alvaro.munoz@gmail.com>
Date:   Sat Aug 18 17:34:36 2018 -0300

    Fix #30

 itstool.in | 2 ++
 1 file changed, 2 insertions(+)

commit 35138f8f3e208346914f5b11b9f6b230d0fa99aa
Author: Álvaro Muñoz <alvaro.munoz@gmail.com>
Date:   Sat Aug 18 17:33:53 2018 -0300

    Fix compatibility with pyhton 3.7 (no need to encode to bytes)

 itstool.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9b84c007a73e8275ca45762f1bfa3ab7c3a852e2
Author: Shaun McCance <shaunm@redhat.com>
Date:   Wed Oct 25 12:10:03 2017 -0400

    Be more careful about libxml2 memory management
    
    I think this fixes https://github.com/itstool/itstool/issues/17

 itstool.in | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 890f35998ba7f86bdc58227142309b8ecc618c10
Author: Shaun McCance <shaunm@redhat.com>
Date:   Mon Oct 16 11:58:49 2017 -0400

    Version 2.0.4

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 07b7b6c207f9684ef610a738bd8a9314179e6a72
Author: Shaun McCance <shaunm@redhat.com>
Date:   Mon Oct 16 11:55:12 2017 -0400

    Use $PYTHON for libxml2 check to use the right python
    
    Fixes https://github.com/itstool/itstool/issues/16

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6419a81c35da62d577b43e8f5c4b53a0c92e0fa
Author: Shaun McCance <shaunm@redhat.com>
Date:   Mon Oct 16 11:51:53 2017 -0400

    Update INSTALL file

 INSTALL | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit d3adf0264ee2b6fd28b7eff7dec33501d6e75a7c
Author: Shaun McCance <shaunm@redhat.com>
Date:   Wed Oct 11 23:12:38 2017 -0400

    Fix massive performance issue
    
    Fixed https://github.com/itstool/itstool/issues/15

 itstool.in | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit f1934cffa7f1809321f68fc156c7039fdb27673b
Author: Shaun McCance <shaunm@redhat.com>
Date:   Wed Oct 4 13:28:48 2017 -0400

    Version 2.0.3

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit c12b29db71ec860ec9d15e2ef6e5bdf2a82355cd
Merge: 204ed57 717ea02
Author: Shaun McCance <shaunm@gnome.org>
Date:   Tue Aug 15 10:51:44 2017 -0400

    Merge pull request #14 from claudep/placeholder
    
    Get Placeholder out of Message

commit 717ea021d34ed3840d3e41ce309731d414f9a71f
Merge: 7ad3f40 204ed57
Author: Shaun McCance <shaunm@gnome.org>
Date:   Tue Aug 15 10:50:03 2017 -0400

    Merge branch 'master' into placeholder

commit 204ed57adecbbf958ee3a89b93c8279b0b18ce67
Merge: 14f4286 89aff64
Author: Shaun McCance <shaunm@gnome.org>
Date:   Tue Aug 15 10:41:54 2017 -0400

    Merge pull request #3 from hsoft/master
    
    Add python 3 support
    
    All tests pass with both py2 and py3

commit 14f428652bc44d0f65cf21f17afaf1e0b13f0336
Author: Shaun McCance <shaunm@redhat.com>
Date:   Tue Aug 15 10:37:47 2017 -0400

    Fix keep entities mode after libxml2 changes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762110

 itstool.in | 2 ++
 1 file changed, 2 insertions(+)

commit 7ad3f407e131191bd51dac6d832479dff59ea839
Author: Claude Paroz <claude@2xlibre.net>
Date:   Mon May 1 12:41:30 2017 +0200

    Get Placeholder out of Message

 itstool.in | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 676f3f738b21ec4d77f300f83d31d2d0eceaddcc
Author: Shaun McCance <shaunm@redhat.com>
Date:   Fri Sep 2 10:02:55 2016 -0400

    Add -j command to Usage

 itstool.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 4232ae5c782230a90384636f6b61a97261000a2f
Author: Shaun McCance <shaunm@redhat.com>
Date:   Wed Aug 31 17:32:22 2016 -0400

    Add --path option for extra paths for ITS files

 itstool.in | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit a5f19fe2bd851f44216840bb2d63581006967e6f
Author: Shaun McCance <shaunm@redhat.com>
Date:   Mon Mar 14 14:03:33 2016 -0400

    Don't error out (except under -s) for mismatched placeholders

 itstool.in | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 89aff64b9e7fbfd74e586ef61c0804b646004e80
Author: Virgil Dupras <hsoft@hardcoded.net>
Date:   Sat Jan 16 16:05:54 2016 -0500

    Fix problem with merging translations under py3
    
    This fixes three problems at once:
    
    1. When fiddling with credits nodes, we would get an error about libxml2
    expecting `str` rather than `bytes`. We could fix this by encoding the
    value only when uner py2.
    
    2. When writing the merged XML, our serlialized data would be `str`
    under py3, which would cause implicit encoding problems when writing
    that contents to the file.
    
    3. `fout` would not be closed after writing, which would sometimes cause
    the target file to end up with no contents at all (at least on my
    machine.

 itstool.in | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit c2e1824671747030234dab895400699cbc1d99be
Author: Virgil Dupras <hsoft@hardcoded.net>
Date:   Sun Mar 15 20:04:37 2015 -0400

    Add python 3 support

 itstool.in | 180 +++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 103 insertions(+), 77 deletions(-)

commit 359be5c350fc3d869807f663cee2b028adf1f5d7
Author: Shaun McCance <shaunm@gnome.org>
Date:   Tue Jun 3 11:57:15 2014 -0500

    Added secondary setup.py to make it easier to upload to pypi

 .gitignore   |  4 ++++
 Makefile.am  |  3 ++-
 configure.ac |  1 +
 setup.py.in  | 25 +++++++++++++++++++++++++
 4 files changed, 32 insertions(+), 1 deletion(-)

commit d75f68cbc58075b57aee53d57b9156655a2fc99a
Author: Shaun McCance <shaunm@gnome.org>
Date:   Mon Mar 17 14:40:42 2014 -0400

    Fix UTF-8 handling for translated attributes

 itstool.in                   |  2 +-
 tests/IT-attributes-2.ll.po  | 21 +++++++++++++++++++++
 tests/IT-attributes-2.ll.xml | 10 ++++++++++
 tests/IT-attributes-2.pot    | 21 +++++++++++++++++++++
 tests/IT-attributes-2.xml    | 10 ++++++++++
 tests/run_tests.py           |  3 +++
 6 files changed, 66 insertions(+), 1 deletion(-)

commit 6f1761d86b4749a65607d4b4af622f6771e1f330
Author: Shaun McCance <shaunm@gnome.org>
Date:   Tue Dec 17 22:17:39 2013 -0500

    Version 2.0.2

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 6596a9cd30e4c1ff8599caf724e2aed3dd6947bf
Author: Shaun McCance <shaunm@gnome.org>
Date:   Tue Dec 17 22:14:43 2013 -0500

    itstool.1: Update man page

 itstool.1.in | 137 +++++++++++++++++++++++++++++++++++++++--------------------
 itstool.in   |   2 +-
 2 files changed, 91 insertions(+), 48 deletions(-)

commit 1cce05f8c3d2b52f030b3e253d37ae5a6eee8003
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Dec 9 13:17:55 2013 -0500

    Don't hardcode python path
    
    Instead, use automake to find it at runtime and put #!@PYTHON@ at the top of
    itstool.in.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=72533

 configure.ac | 2 ++
 itstool.in   | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 46067ed60cbe1e5e3efe176da1f40f8219336490
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sun Nov 24 14:10:03 2013 -0500

    Fixed crash in locale filter and drop rule, #715116
    
    When the dropped node has no preceding sibling, itstool crashes
    because it tries to unlink prev node if it's blank.

 itstool.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6d90f59ee2fcd9492501b337a15c65bfce78afcd
Author: Shaun McCance <shaunm@gnome.org>
Date:   Mon Nov 18 11:21:10 2013 -0500

    Version 2.0.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit b317a7c7362938098379f2f8db42f0f94d6f98dd
Author: Shaun McCance <shaunm@gnome.org>
Date:   Mon Nov 4 16:32:34 2013 -0500

    its: Consolidate ITS rules for better performance

 its/docbook.its  | 313 +++++++++++++++++++++++++++----------------------------
 its/docbook5.its | 310 +++++++++++++++++++++++++++---------------------------
 its/its.its      |   3 +-
 its/mallard.its  |  25 +++--
 its/xhtml.its    |  67 ++++++------
 5 files changed, 355 insertions(+), 363 deletions(-)

commit 3788e65a1fee2b141318b7bffc58d9dce8339d1a
Author: Shaun McCance <shaunm@gnome.org>
Date:   Fri Nov 1 13:48:41 2013 -0400

    NEWS: Fixed typo

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd44edfb9486e4506accb520874d4e62422e1419
Author: Shaun McCance <shaunm@gnome.org>
Date:   Fri Nov 1 13:43:35 2013 -0400

    Version 2.0.0

 NEWS         | 19 +++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 17a89300affeac556803c23eefefc9f279a82908
Author: Shaun McCance <shaunm@gnome.org>
Date:   Fri Nov 1 11:53:28 2013 -0400

    docbook*.its: Make info children always not within text
    
    Some of the children are marked within text because they should be
    when appearing in a para. But letting info appear as if it were a
    text run hits some strange corner cases that cause locale filter
    not to be applied as you might think it should.

 its/docbook.its  | 3 +++
 its/docbook5.its | 3 +++
 2 files changed, 6 insertions(+)

commit 8e4ccd41ad198ebc816a43419c21714bad7dc748
Author: Shaun McCance <shaunm@gnome.org>
Date:   Fri Nov 1 10:46:21 2013 -0400

    its: Exclude editor remarks/comments with locale filter

 its/docbook.its  | 4 ++--
 its/docbook5.its | 4 ++--
 its/mallard.its  | 3 ++-
 3 files changed, 6 insertions(+), 5 deletions(-)

commit 770a84a13e30f5e5d8218ae495b430d0c3002f56
Author: Shaun McCance <shaunm@gnome.org>
Date:   Fri Nov 1 10:14:42 2013 -0400

    itstool.in: Allow users to set ITS params

 its/its.its |  1 +
 itstool.in  | 62 +++++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 39 insertions(+), 24 deletions(-)

commit 6ec6088089430eb5e1cd5a2aa82eef3161b11487
Author: Shaun McCance <shaunm@gnome.org>
Date:   Thu Oct 31 14:16:54 2013 -0400

    its: Switched built-in ITS rules to 2.0

 its/its.its     | 2 +-
 its/mallard.its | 2 +-
 its/ttml.its    | 2 +-
 its/xhtml.its   | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 7486a069a39b97d84fb76ff85286b40f4c8e5af0
Author: Shaun McCance <shaunm@gnome.org>
Date:   Thu Oct 31 14:16:31 2013 -0400

    docbook5.its: Added DocBook 5 support
    
    Also minor fixed to DocBook 4 I ran across

 its/Makefile.am  |   2 +-
 its/docbook.its  |   7 +-
 its/docbook5.its | 201 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 207 insertions(+), 3 deletions(-)

commit 844bf80669ffe05ad13c5ce540f4c32d6ed0bb31
Author: Shaun McCance <shaunm@gnome.org>
Date:   Thu Oct 31 09:59:11 2013 -0400

    docbook.its: Updated preserve space and external resource

 its/docbook.its | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 95d331264b29d4ad13cd661d2d3d84e2ef09e7ab
Author: Shaun McCance <shaunm@gnome.org>
Date:   Thu Oct 31 09:54:44 2013 -0400

    mallard.its: Updated preserve space and external resource

 its/mallard.its | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4af2d64a7987ef2dc4121afc1bb6ebf8077230b3
Author: Shaun McCance <shaunm@gnome.org>
Date:   Thu Oct 31 09:49:54 2013 -0400

    xhtml.its: Updated preserve space and external resource

 its/xhtml.its | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d657543826789e263ac9c8861a722f2527b5b0a3
Merge: e338a3e 2928d6f
Author: Shaun McCance <shaunm@gnome.org>
Date:   Mon Oct 28 12:05:03 2013 -0400

    Merge branch 'master' into its-2-0

commit e338a3e4463d6f8098ef76c45d44851fe62cb126
Author: Shaun McCance <shaunm@gnome.org>
Date:   Mon Oct 28 11:06:00 2013 -0400

    Support localeFilterType="exclude"

 itstool.in                               | 64 ++++++++++++++++++++++++--------
 tests/ITS-2.0-Testsuite/run_tests.sh     | 18 ++-------
 tests/LocaleFilter/Locale1Xml.fr_CA.po   |  4 +-
 tests/LocaleFilter/Locale1Xml.fr_CH.po   |  4 +-
 tests/LocaleFilter/Locale1Xml.fr_FR.po   |  4 +-
 tests/LocaleFilter/Locale1Xml.pot        |  4 +-
 tests/LocaleFilter/Locale2Xml.fr_CA.po   |  4 +-
 tests/LocaleFilter/Locale2Xml.fr_CH.po   |  4 +-
 tests/LocaleFilter/Locale2Xml.fr_FR.po   |  4 +-
 tests/LocaleFilter/Locale2Xml.pot        |  4 +-
 tests/LocaleFilter/Locale3Xml.fr_CA.po   |  4 +-
 tests/LocaleFilter/Locale3Xml.fr_CH.po   |  4 +-
 tests/LocaleFilter/Locale3Xml.fr_FR.po   |  4 +-
 tests/LocaleFilter/Locale3Xml.pot        |  4 +-
 tests/LocaleFilter/Locale4Xml.fr_CA.po   |  4 +-
 tests/LocaleFilter/Locale4Xml.fr_CH.po   |  4 +-
 tests/LocaleFilter/Locale4Xml.fr_FR.po   |  4 +-
 tests/LocaleFilter/Locale4Xml.pot        |  4 +-
 tests/LocaleFilter/Locale5Xml.fr_CA.po   |  4 +-
 tests/LocaleFilter/Locale5Xml.fr_CH.po   |  4 +-
 tests/LocaleFilter/Locale5Xml.fr_FR.po   |  4 +-
 tests/LocaleFilter/Locale5Xml.pot        |  4 +-
 tests/LocaleFilter/Locale6Xml.fr_CA.po   | 22 +++++++++++
 tests/LocaleFilter/Locale6Xml.fr_CA.xml  | 13 +++++++
 tests/LocaleFilter/Locale6Xml.fr_CH.po   | 23 ++++++++++++
 tests/LocaleFilter/Locale6Xml.fr_CH.xml  | 13 +++++++
 tests/LocaleFilter/Locale6Xml.fr_FR.po   | 22 +++++++++++
 tests/LocaleFilter/Locale6Xml.fr_FR.xml  | 13 +++++++
 tests/LocaleFilter/Locale6Xml.joined.xml | 22 +++++++++++
 tests/LocaleFilter/Locale6Xml.pot        | 23 ++++++++++++
 tests/LocaleFilter/Locale6Xml.xml        | 20 ++++++++++
 tests/run_tests.py                       | 16 ++++++++
 32 files changed, 279 insertions(+), 70 deletions(-)

commit 9f85a74071db1fa5ca3a2dd83a3ab187884fb7f7
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sun Oct 27 22:36:56 2013 -0400

    Update ITS 2.0 test suite

 .../elementswithintext/html/withintext1html.html   | 64 +++++++++---------
 .../html/withintext1htmlrules.xml                  |  8 +--
 .../elementswithintext/html/withintext2html.html   | 20 +++---
 .../elementswithintext/html/withintext3html.html   | 64 +++++++++---------
 .../html/withintext3htmlrules.xml                  | 10 +--
 .../elementswithintext/html/withintext4html.html   | 76 ++++++++++-----------
 .../elementswithintext/xml/withintext1xml.xml      | 24 +++----
 .../elementswithintext/xml/withintext2xml.xml      | 50 +++++++-------
 .../elementswithintext/xml/withintext2xmlrules.xml | 12 ++--
 .../elementswithintext/xml/withintext3xml.xml      | 22 +++---
 .../elementswithintext/xml/withintext4xml.xml      | 24 +++----
 .../elementswithintext/xml/withintext5xml.xml      | 50 +++++++-------
 .../elementswithintext/xml/withintext6xml.xml      | 42 ++++++------
 .../elementswithintext/xml/withintext6xmlrules.xml | 10 +--
 .../html/externalresource1html.html                | 30 ++++-----
 .../html/externalresource1htmlrules.xml            |  8 +--
 .../html/externalresource2html.html                | 34 +++++-----
 .../html/externalresource2htmlrules.xml            |  8 +--
 .../html/externalresource3html.html                | 40 +++++------
 .../externalresource/xml/externalresource1xml.xml  | 48 ++++++-------
 .../externalresource/xml/externalresource2xml.xml  | 44 ++++++------
 .../xml/externalresource2xmlrules.xml              |  6 +-
 .../externalresource/xml/externalresource3xml.xml  | 56 ++++++++--------
 .../xml/externalresource3xmlrules.xml              |  6 +-
 .../externalresource/xml/externalresource4xml.xml  | 50 +++++++-------
 .../externalresource/xml/externalresource5xml.xml  | 40 +++++------
 .../xml/externalresource5xmlrules.xml              | 10 +--
 .../inputdata/idvalue/html/idvalue1html.html       | 32 ++++-----
 .../inputdata/idvalue/html/idvalue1htmlrules.xml   | 12 ++--
 .../inputdata/idvalue/html/idvalue2html.html       | 34 +++++-----
 .../inputdata/idvalue/html/idvalue2htmlrules.xml   | 14 ++--
 .../inputdata/idvalue/html/idvalue3html.html       | 44 ++++++------
 .../inputdata/idvalue/xml/idvalue1xml.xml          | 40 +++++------
 .../inputdata/idvalue/xml/idvalue2xml.xml          |  8 +--
 .../inputdata/idvalue/xml/idvalue3xml.xml          | 26 ++++----
 .../inputdata/idvalue/xml/idvalue3xmlrules.xml     |  6 +-
 .../inputdata/idvalue/xml/idvalue4xml.xml          | 34 +++++-----
 .../inputdata/idvalue/xml/idvalue4xmlrules.xml     |  8 +--
 .../inputdata/idvalue/xml/idvalue5xml.xml          | 40 +++++------
 .../inputdata/localefilter/html/locale1html.html   | 28 ++++----
 .../localefilter/html/locale1htmlrules.xml         |  6 +-
 .../inputdata/localefilter/html/locale2html.html   | 24 +++----
 .../inputdata/localefilter/html/locale3html.html   | 28 ++++----
 .../localefilter/html/locale3htmlrules.xml         |  8 +--
 .../inputdata/localefilter/html/locale4html.html   | 36 +++++-----
 .../inputdata/localefilter/html/locale5html.html   | 42 ++++++------
 .../inputdata/localefilter/xml/locale1xml.xml      | 24 +++----
 .../inputdata/localefilter/xml/locale2xml.xml      | 18 ++---
 .../inputdata/localefilter/xml/locale3xml.xml      | 20 +++---
 .../inputdata/localefilter/xml/locale3xmlrules.xml |  6 +-
 .../inputdata/localefilter/xml/locale4xml.xml      | 32 ++++-----
 .../inputdata/localefilter/xml/locale4xmlrules.xml |  6 +-
 .../inputdata/localefilter/xml/locale5xml.xml      | 16 ++---
 .../inputdata/localefilter/xml/locale6xml.xml      | 26 ++++----
 .../inputdata/localefilter/xml/locale7xml.xml      | 26 ++++----
 .../inputdata/localefilter/xml/locale7xmlrules.xml |  8 +--
 .../inputdata/localefilter/xml/locale8xml.xml      | 36 +++++-----
 .../localizationnote/html/locnote1html.html        | 22 +++---
 .../localizationnote/html/locnote1htmlrules.xml    | 14 ++--
 .../localizationnote/html/locnote2html.html        | 40 +++++------
 .../localizationnote/html/locnote2htmlrules.xml    |  8 +--
 .../localizationnote/html/locnote3html.html        | 24 +++----
 .../localizationnote/html/locnote3htmlrules.xml    |  6 +-
 .../localizationnote/html/locnote4html.html        | 32 ++++-----
 .../localizationnote/html/locnote4htmlrules.xml    |  6 +-
 .../localizationnote/html/locnote5html.html        | 42 ++++++------
 .../localizationnote/html/locnote5htmlrules.xml    | 30 ++++-----
 .../localizationnote/html/locnote6html.html        | 42 ++++++------
 .../localizationnote/html/locnote6htmlrules.xml    | 30 ++++-----
 .../localizationnote/html/locnote7html.html        | 20 +++---
 .../localizationnote/html/locnote8html.html        | 42 ++++++------
 .../localizationnote/html/locnote8htmlrules.xml    | 32 ++++-----
 .../localizationnote/html/locnote9html.html        | 40 +++++------
 .../localizationnote/xml/locnote10xml.xml          | 66 +++++++++---------
 .../localizationnote/xml/locnote11xml.xml          | 36 +++++-----
 .../localizationnote/xml/locnote11xmlrules.xml     | 32 ++++-----
 .../inputdata/localizationnote/xml/locnote1xml.xml | 26 ++++----
 .../inputdata/localizationnote/xml/locnote2xml.xml | 38 +++++------
 .../inputdata/localizationnote/xml/locnote3xml.xml | 24 +++----
 .../inputdata/localizationnote/xml/locnote4xml.xml | 32 ++++-----
 .../inputdata/localizationnote/xml/locnote5xml.xml | 30 ++++-----
 .../localizationnote/xml/locnote5xmlrules.xml      | 18 ++---
 .../inputdata/localizationnote/xml/locnote6xml.xml | 42 ++++++------
 .../inputdata/localizationnote/xml/locnote7xml.xml | 40 +++++------
 .../inputdata/localizationnote/xml/locnote8xml.xml | 34 +++++-----
 .../inputdata/localizationnote/xml/locnote9xml.xml | 16 ++---
 .../preservespace/xml/preservespace1xml.xml        | 26 ++++----
 .../preservespace/xml/preservespace2xml.xml        | 16 ++---
 .../preservespace/xml/preservespace3xml.xml        | 22 +++---
 .../preservespace/xml/preservespace3xmlrules.xml   |  6 +-
 .../preservespace/xml/preservespace4xml.xml        | 16 ++---
 .../preservespace/xml/preservespace5xml.xml        | 28 ++++----
 .../preservespace/xml/preservespace6xml.xml        | 18 ++---
 .../preservespace/xml/preservespace6xmlrules.xml   |  8 +--
 .../inputdata/translate/html/translate1html.html   | 34 +++++-----
 .../translate/html/translate1htmlrules.xml         |  8 +--
 .../inputdata/translate/html/translate2html.html   | 36 +++++-----
 .../inputdata/translate/html/translate3html.html   | 46 ++++++-------
 .../translate/html/translate3htmlrules.xml         |  8 +--
 .../inputdata/translate/html/translate4html.html   | 46 ++++++-------
 .../translate/html/translate4htmlrules.xml         |  8 +--
 .../inputdata/translate/html/translate5html.html   | 68 +++++++++----------
 .../translate/html/translate5htmlrules.xml         |  8 +--
 .../inputdata/translate/html/translate6html.html   | 68 +++++++++----------
 .../translate/html/translate6htmlrules.xml         | 12 ++--
 .../inputdata/translate/html/translate7html.html   | 38 +++++------
 .../inputdata/translate/xml/translate10xml.xml     | 14 ++--
 .../translate/xml/translate10xmlrules.xml          | 10 +--
 .../inputdata/translate/xml/translate1xml.xml      | 78 +++++++++++-----------
 .../inputdata/translate/xml/translate2xml.xml      | 20 +++---
 .../inputdata/translate/xml/translate2xmlrules.xml | 10 +--
 .../inputdata/translate/xml/translate3xml.xml      | 26 ++++----
 .../inputdata/translate/xml/translate3xmlrules.xml | 12 ++--
 .../inputdata/translate/xml/translate4xml.xml      | 22 +++---
 .../inputdata/translate/xml/translate5xml.xml      | 26 ++++----
 .../inputdata/translate/xml/translate6xml.xml      | 38 +++++------
 .../inputdata/translate/xml/translate7xml.xml      | 38 +++++------
 .../inputdata/translate/xml/translate8xml.xml      | 56 ++++++++--------
 .../inputdata/translate/xml/translate9xml.xml      | 22 +++---
 119 files changed, 1650 insertions(+), 1650 deletions(-)

commit dde5a9ac006ab839b67e711e27977fbf074dc04e
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sun Oct 27 21:02:46 2013 -0400

    Add support for its:param

 itstool.in                           | 12 +++++++++++-
 tests/ITS-2.0-Testsuite/run_tests.sh | 16 +---------------
 2 files changed, 12 insertions(+), 16 deletions(-)

commit 45872e7e4252aadd0fc304ab3c9d1d740c690b5f
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sun Oct 27 13:45:12 2013 -0400

    Fixed issue with preserveSpace from xml:space attribute

 itstool.in | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 29d6a9ea85c8fb939b4fdaabb92e08eb42bfdefc
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sun Oct 27 13:45:00 2013 -0400

    Updated ITS 2.0 test suite

 .../html/withintext1htmloutput.txt                 | 14 +++++----
 .../html/withintext3htmloutput.txt                 | 12 ++++----
 .../html/withintext4htmloutput.txt                 | 16 +++++-----
 .../html/externalresource1htmloutput.txt           |  7 ++---
 .../html/externalresource2htmloutput.txt           | 21 +++++++------
 .../html/externalresource3htmloutput.txt           |  7 ++---
 .../localefilter/html/locale1htmloutput.txt        | 24 +++++++--------
 .../localefilter/html/locale2htmloutput.txt        | 20 ++++++-------
 .../localefilter/html/locale3htmloutput.txt        | 24 +++++++--------
 .../localefilter/html/locale4htmloutput.txt        | 22 +++++++-------
 .../localefilter/html/locale5htmloutput.txt        | 21 +++++++++++++
 .../expected/localefilter/xml/locale1xmloutput.txt | 22 +++++++-------
 .../expected/localefilter/xml/locale2xmloutput.txt | 12 ++++----
 .../expected/localefilter/xml/locale3xmloutput.txt | 18 ++++++------
 .../expected/localefilter/xml/locale4xmloutput.txt | 34 +++++++++++-----------
 .../expected/localefilter/xml/locale5xmloutput.txt | 12 ++++----
 .../expected/localefilter/xml/locale6xmloutput.txt | 30 +++++++++----------
 .../expected/localefilter/xml/locale7xmloutput.txt | 24 +++++++--------
 .../expected/localefilter/xml/locale8xmloutput.txt | 19 ++++++++++++
 .../localizationnote/xml/locnote1xmloutput.txt     |  1 -
 .../translate/html/translate1htmloutput.txt        |  7 ++++-
 .../translate/html/translate2htmloutput.txt        |  6 ++++
 .../translate/html/translate3htmloutput.txt        |  1 +
 .../translate/html/translate7htmloutput.txt        |  4 ++-
 .../expected/translate/xml/translate4xmloutput.txt |  5 ++++
 .../elementswithintext/html/withintext1html.html   | 12 ++++----
 .../html/withintext1htmlrules.xml                  |  2 --
 .../elementswithintext/html/withintext3html.html   | 14 ++++-----
 .../html/withintext3htmlrules.xml                  |  5 ++--
 .../elementswithintext/html/withintext4html.html   | 14 ++++-----
 .../html/externalresource1html.html                |  4 +--
 .../html/externalresource2html.html                |  8 ++---
 .../html/externalresource2htmlrules.xml            |  2 +-
 .../html/externalresource3html.html                |  4 +--
 .../inputdata/idvalue/html/idvalue2htmlrules.xml   |  9 +++---
 .../inputdata/localefilter/html/locale5html.html   | 21 +++++++++++++
 .../inputdata/localefilter/xml/locale8xml.xml      | 18 ++++++++++++
 .../inputdata/localizationnote/xml/locnote1xml.xml |  3 +-
 .../inputdata/translate/html/translate1html.html   |  1 +
 .../translate/html/translate1htmlrules.xml         |  2 +-
 .../inputdata/translate/html/translate2html.html   |  3 +-
 .../inputdata/translate/html/translate3html.html   |  2 +-
 .../inputdata/translate/html/translate7html.html   |  4 +--
 .../inputdata/translate/xml/translate4xml.xml      |  1 +
 tests/ITS-2.0-Testsuite/run_tests.sh               |  8 +++++
 45 files changed, 309 insertions(+), 211 deletions(-)

commit 2928d6f02a0f30415bd993490d1920fd990ce130
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sat Sep 21 16:24:35 2013 -0400

    Added an option to retain entity references
    
    You still have to load the DTD if the entities are defined in
    the external subset, because libxml2 checks references even if
    it doesn't dereference them. It would be nice if this weren't
    necessary.

 itstool.in                      | 32 +++++++++++++++++++++++++++-----
 tests/IT-keep-entities-1.ll.po  | 21 +++++++++++++++++++++
 tests/IT-keep-entities-1.ll.xml |  7 +++++++
 tests/IT-keep-entities-1.pot    | 21 +++++++++++++++++++++
 tests/IT-keep-entities-1.xml    |  7 +++++++
 tests/IT-keep-entities-2.ll.po  | 21 +++++++++++++++++++++
 tests/IT-keep-entities-2.ll.xml |  9 +++++++++
 tests/IT-keep-entities-2.pot    | 21 +++++++++++++++++++++
 tests/IT-keep-entities-2.xml    |  9 +++++++++
 tests/run_tests.py              | 20 ++++++++++++++------
 10 files changed, 157 insertions(+), 11 deletions(-)

commit 309b2cee105430c5ed387d7862e9405d41e76088
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sat Sep 21 12:17:12 2013 -0400

    Fix utf8 issue introduced in Sep 20 commit

 itstool.in | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit cf30d00a9d4802f9d7479d28a4a3ce420bc36aaf
Merge: e4c6ada c9dd17a
Author: Shaun McCance <shaunm@gnome.org>
Date:   Wed Aug 21 09:50:32 2013 -0400

    Merge commit 'refs/merge-requests/5' of gitorious.org:itstool/itstool

commit e4c6adab00c64141483b322d482a3819968b700e
Merge: 5040a32 34cc26b
Author: Shaun McCance <shaunm@gnome.org>
Date:   Wed Aug 21 09:45:39 2013 -0400

    Merge commit 'refs/merge-requests/4' of gitorious.org:itstool/itstool

commit c9dd17a6504339eb712e0688b68de01566792b7a
Author: Clement Chauplannaz <chauplac@gmail.com>
Date:   Sun Jun 9 16:52:29 2013 +0200

    Configure: test for python module libxml2 presence

 configure.ac | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit ab2f5c7430c640cef0dddb7991dc9cfb77284332
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sat Feb 9 23:03:47 2013 -0500

    Properly handle loc note inheritance

 itstool.in                           | 11 +++++++----
 tests/ITS-2.0-Testsuite/run_tests.sh |  5 -----
 2 files changed, 7 insertions(+), 9 deletions(-)

commit 2f77297d840b27a3b294fa098c4a9fb20130a954
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sat Feb 9 22:43:07 2013 -0500

    Add LocNote class to better track localization note info

 itstool.in                           | 69 ++++++++++++++++++++++++++----------
 tests/ITS-2.0-Testsuite/run_tests.sh |  5 ---
 2 files changed, 50 insertions(+), 24 deletions(-)

commit 64121755e4c515f184acd0f99bab20798a865178
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sat Feb 9 13:51:37 2013 -0500

    Fix IdValue for attributes and nodes with attributes

 itstool.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6becc8bbc4ce20217ba6a8bd11016297db2e607
Author: Shaun McCance <shaunm@gnome.org>
Date:   Sat Feb 2 14:15:56 2013 -0500

    Adding the ITS 2.0 test suite, found here:
    
    https://github.com/finnle/ITS-2.0-Testsuite/commits/master

 itstool.in                                         | 33 +++++++++---
 tests/ITS-2.0-Testsuite/README                     |  1 +
 .../html/withintext1htmloutput.txt                 | 24 +++++++++
 .../html/withintext2htmloutput.txt                 | 10 ++++
 .../html/withintext3htmloutput.txt                 | 24 +++++++++
 .../html/withintext4htmloutput.txt                 | 24 +++++++++
 .../xml/withintext1xmloutput.txt                   | 17 ++++++
 .../xml/withintext2xmloutput.txt                   | 28 ++++++++++
 .../xml/withintext3xmloutput.txt                   | 15 ++++++
 .../xml/withintext4xmloutput.txt                   | 15 ++++++
 .../xml/withintext5xmloutput.txt                   | 20 +++++++
 .../xml/withintext6xmloutput.txt                   | 13 +++++
 .../html/externalresource1htmloutput.txt           | 19 +++++++
 .../html/externalresource2htmloutput.txt           | 21 ++++++++
 .../html/externalresource3htmloutput.txt           | 18 +++++++
 .../xml/externalresource1xmloutput.txt             | 17 ++++++
 .../xml/externalresource2xmloutput.txt             | 15 ++++++
 .../xml/externalresource3xmloutput.txt             | 23 ++++++++
 .../xml/externalresource4xmloutput.txt             | 19 +++++++
 .../xml/externalresource5xmloutput.txt             | 15 ++++++
 .../expected/idvalue/html/idvalue1htmloutput.txt   | 15 ++++++
 .../expected/idvalue/html/idvalue2htmloutput.txt   | 17 ++++++
 .../expected/idvalue/html/idvalue3htmloutput.txt   | 14 +++++
 .../expected/idvalue/xml/idvalue1xmloutput.txt     | 18 +++++++
 .../expected/idvalue/xml/idvalue2xmloutput.txt     |  6 +++
 .../expected/idvalue/xml/idvalue3xmloutput.txt     | 14 +++++
 .../expected/idvalue/xml/idvalue4xmloutput.txt     | 18 +++++++
 .../expected/idvalue/xml/idvalue5xmloutput.txt     | 22 ++++++++
 .../localefilter/html/locale1htmloutput.txt        | 12 +++++
 .../localefilter/html/locale2htmloutput.txt        | 10 ++++
 .../localefilter/html/locale3htmloutput.txt        | 12 +++++
 .../localefilter/html/locale4htmloutput.txt        | 11 ++++
 .../expected/localefilter/xml/locale1xmloutput.txt | 11 ++++
 .../expected/localefilter/xml/locale2xmloutput.txt |  6 +++
 .../expected/localefilter/xml/locale3xmloutput.txt |  9 ++++
 .../expected/localefilter/xml/locale4xmloutput.txt | 17 ++++++
 .../expected/localefilter/xml/locale5xmloutput.txt |  6 +++
 .../expected/localefilter/xml/locale6xmloutput.txt | 15 ++++++
 .../expected/localefilter/xml/locale7xmloutput.txt | 12 +++++
 .../localizationnote/html/locnote1htmloutput.txt   | 11 ++++
 .../localizationnote/html/locnote2htmloutput.txt   | 17 ++++++
 .../localizationnote/html/locnote3htmloutput.txt   | 11 ++++
 .../localizationnote/html/locnote4htmloutput.txt   | 17 ++++++
 .../localizationnote/html/locnote5htmloutput.txt   | 21 ++++++++
 .../localizationnote/html/locnote6htmloutput.txt   | 21 ++++++++
 .../localizationnote/html/locnote7htmloutput.txt   | 11 ++++
 .../localizationnote/html/locnote8htmloutput.txt   | 21 ++++++++
 .../localizationnote/html/locnote9htmloutput.txt   | 11 ++++
 .../localizationnote/xml/locnote10xmloutput.txt    | 31 +++++++++++
 .../localizationnote/xml/locnote11xmloutput.txt    | 19 +++++++
 .../localizationnote/xml/locnote1xmloutput.txt     | 12 +++++
 .../localizationnote/xml/locnote2xmloutput.txt     | 20 +++++++
 .../localizationnote/xml/locnote3xmloutput.txt     | 11 ++++
 .../localizationnote/xml/locnote4xmloutput.txt     | 17 ++++++
 .../localizationnote/xml/locnote5xmloutput.txt     | 23 ++++++++
 .../localizationnote/xml/locnote6xmloutput.txt     | 29 ++++++++++
 .../localizationnote/xml/locnote7xmloutput.txt     | 20 +++++++
 .../localizationnote/xml/locnote8xmloutput.txt     | 20 +++++++
 .../localizationnote/xml/locnote9xmloutput.txt     | 11 ++++
 .../preservespace/xml/preservespace1xmloutput.txt  |  9 ++++
 .../preservespace/xml/preservespace2xmloutput.txt  |  4 ++
 .../preservespace/xml/preservespace3xmloutput.txt  |  7 +++
 .../preservespace/xml/preservespace4xmloutput.txt  |  4 ++
 .../preservespace/xml/preservespace5xmloutput.txt  | 12 +++++
 .../preservespace/xml/preservespace6xmloutput.txt  |  8 +++
 .../translate/html/translate1htmloutput.txt        | 13 +++++
 .../translate/html/translate2htmloutput.txt        | 11 ++++
 .../translate/html/translate3htmloutput.txt        | 15 ++++++
 .../translate/html/translate4htmloutput.txt        | 15 ++++++
 .../translate/html/translate5htmloutput.txt        | 24 +++++++++
 .../translate/html/translate6htmloutput.txt        | 24 +++++++++
 .../translate/html/translate7htmloutput.txt        | 12 +++++
 .../translate/xml/translate10xmloutput.txt         | 17 ++++++
 .../expected/translate/xml/translate1xmloutput.txt | 59 ++++++++++++++++++++
 .../expected/translate/xml/translate2xmloutput.txt | 11 ++++
 .../expected/translate/xml/translate3xmloutput.txt | 17 ++++++
 .../expected/translate/xml/translate4xmloutput.txt | 10 ++++
 .../expected/translate/xml/translate5xmloutput.txt | 11 ++++
 .../expected/translate/xml/translate6xmloutput.txt | 22 ++++++++
 .../expected/translate/xml/translate7xmloutput.txt | 22 ++++++++
 .../expected/translate/xml/translate8xmloutput.txt | 28 ++++++++++
 .../expected/translate/xml/translate9xmloutput.txt | 23 ++++++++
 .../elementswithintext/html/withintext1html.html   | 32 +++++++++++
 .../html/withintext1htmlrules.xml                  |  6 +++
 .../elementswithintext/html/withintext2html.html   | 10 ++++
 .../elementswithintext/html/withintext3html.html   | 32 +++++++++++
 .../html/withintext3htmlrules.xml                  |  6 +++
 .../elementswithintext/html/withintext4html.html   | 40 ++++++++++++++
 .../elementswithintext/xml/withintext1xml.xml      | 12 +++++
 .../elementswithintext/xml/withintext2xml.xml      | 25 +++++++++
 .../elementswithintext/xml/withintext2xmlrules.xml |  6 +++
 .../elementswithintext/xml/withintext3xml.xml      | 11 ++++
 .../elementswithintext/xml/withintext4xml.xml      | 12 +++++
 .../elementswithintext/xml/withintext5xml.xml      | 25 +++++++++
 .../elementswithintext/xml/withintext6xml.xml      | 21 ++++++++
 .../elementswithintext/xml/withintext6xmlrules.xml |  5 ++
 .../html/externalresource1html.html                | 17 ++++++
 .../html/externalresource1htmlrules.xml            |  4 ++
 .../html/externalresource2html.html                | 19 +++++++
 .../html/externalresource2htmlrules.xml            |  4 ++
 .../html/externalresource3html.html                | 22 ++++++++
 .../externalresource/xml/externalresource1xml.xml  | 24 +++++++++
 .../externalresource/xml/externalresource2xml.xml  | 22 ++++++++
 .../xml/externalresource2xmlrules.xml              |  3 ++
 .../externalresource/xml/externalresource3xml.xml  | 28 ++++++++++
 .../xml/externalresource3xmlrules.xml              |  3 ++
 .../externalresource/xml/externalresource4xml.xml  | 25 +++++++++
 .../externalresource/xml/externalresource5xml.xml  | 20 +++++++
 .../xml/externalresource5xmlrules.xml              |  5 ++
 .../inputdata/idvalue/html/idvalue1html.html       | 16 ++++++
 .../inputdata/idvalue/html/idvalue1htmlrules.xml   |  6 +++
 .../inputdata/idvalue/html/idvalue2html.html       | 17 ++++++
 .../inputdata/idvalue/html/idvalue2htmlrules.xml   |  8 +++
 .../inputdata/idvalue/html/idvalue3html.html       | 22 ++++++++
 .../inputdata/idvalue/xml/idvalue1xml.xml          | 20 +++++++
 .../inputdata/idvalue/xml/idvalue2xml.xml          |  4 ++
 .../inputdata/idvalue/xml/idvalue3xml.xml          | 13 +++++
 .../inputdata/idvalue/xml/idvalue3xmlrules.xml     |  3 ++
 .../inputdata/idvalue/xml/idvalue4xml.xml          | 17 ++++++
 .../inputdata/idvalue/xml/idvalue4xmlrules.xml     |  4 ++
 .../inputdata/idvalue/xml/idvalue5xml.xml          | 20 +++++++
 .../inputdata/localefilter/html/locale1html.html   | 14 +++++
